import request from '@/utils/request'

// 查询档案图片信息记录列表
export function listPictureRecard(query) {
  return request({
    url: '/dangan/pictureRecard/list',
    method: 'get',
    params: query
  })
}

// 查询档案图片信息记录详细
export function getPictureRecard(id) {
  return request({
    url: '/dangan/pictureRecard/' + id,
    method: 'get'
  })
}

// 新增档案图片信息记录
export function addPictureRecard(data) {
  return request({
    url: '/dangan/pictureRecard',
    method: 'post',
    data: data
  })
}

// 修改档案图片信息记录
export function updatePictureRecard(data) {
  return request({
    url: '/dangan/pictureRecard',
    method: 'put',
    data: data
  })
}

// 删除档案图片信息记录
export function delPictureRecard(id) {
  return request({
    url: '/dangan/pictureRecard/' + id,
    method: 'delete'
  })
}
